package net.knarcraft.blockhunt.command;

import net.knarcraft.blockhunt.config.MessageKey;
import net.knarcraft.blockhunt.util.ArenaHelper;
import net.knarcraft.blockhunt.util.MessageHelper;
import org.bukkit.entity.Player;

public class LeaveCommand extends DefaultCommand {

    @Override
    public boolean execute(Player player, String[] args) {
        if (player != null) {
            ArenaHelper.playerLeaveArena(player, true, true);
        } else {
            MessageHelper.sendMessage(null, MessageKey.ERROR_ONLY_IN_GAME);
        }
        return true;
    }
}
